Skip to main content
`Ctrl`+`K`

# DMShellSetCreateFieldDecomposition

Set the routine used to create a decomposition of fields for the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateFieldDecomposition(DM dm, PetscErrorCode (*decomp)(DM, PetscInt *, char ***, IS **, DM **))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- decomp - the routine to create the decomposition

## See Also

`DM`, `DMSHELL`, `DMCreateFieldDecomposition()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages